import request from '@/benyun/utils/request'

// 获取树形导航分类
function treeList(url : any) {
	return request({
		url: '/supply/' + url + '/treeList',
		method: 'GET',
	})
}

// 分页查询数据
function pageList(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/page',
		method: 'GET',
		params: data
	})
}

// 保存数据
function saveList(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/save',
		method: 'POST',
		data: data
	})
}
// 提交数据
function submitTo(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/submitTo',
		method: 'POST',
		params: data
	})
}
// 反提交数据
function cancelSubmission(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/cancelSubmission',
		method: 'POST',
		params: data
	})
}

// 修改数据
function updateList(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/update',
		method: 'POST',
		data: data
	})
}
// 删除数据
function deleteList(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/delete',
		method: 'POST',
		data: data
	})
}
// 回收站数据
function selectDeleteList(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/selectDeleteList',
		method: 'GET',
		params: data
	})
}
// 接单
function ordersaccepting(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/ordersaccepting',
		method: 'GET',
		params: data
	})
}

// 拆单
function splitOrder(data : any, url : any) {
	return request({
		url: '/supply/' + url + '/splitOrder',
		method: 'POST',
		data: data
	})
}
// 退单
function backOrder(data : any, url : any, mid : any) {
	return request({
		url: '/supply/' + url + '/backOrder?mid=' + mid,
		method: 'POST',
		data: data
	})
}
// 业务类型
function getbusinessType(url : any) {
	return request({
		url: '/supply/' + url + '/getbusinessType',
		method: 'GET'
	})
}
export default {
	treeList,
	pageList,
	saveList,
	updateList,
	deleteList,
	selectDeleteList,
	ordersaccepting,
	splitOrder,
	backOrder,
	submitTo,
	cancelSubmission,
	getbusinessType
}